| OpenMS 2.5.0

DTAExtractor

Extracts scans of an mzML file to several files in DTA format.

pot. predecessor tools | DTAExtractor | pot. successor tools
any signal-/preprocessing tool | -

The retention time, the m/z ratio (for MS level > 1) and the file extension are appended to the output file name. You can limit the exported spectra by m/z range, retention time range or MS level.

The command line parameters of this tool are:

    DTAExtractor -- Extracts spectra of an MS run file to several files in DTA format.

    Full documentation: http://www.openms.de/documentation/TOPP_DTAExtractor.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      DTAExtractor <options>

    Options (mandatory options marked with '*'):

      -in <file>*        Input file  (valid formats: 'mzML')

      -out <file>*       Base name of DTA output files (RT, m/z and extension are appended)

      -mz [min]:[max]    M/z range of precursor peaks to extract.

                         This option is ignored for MS level 1 (default: ':')

      -rt [min]:[max]    Retention time range of spectra to extract (default: ':')

      -level i[,j]...    MS levels to extract (default: '1,2,3')

    Common TOPP options:

      -ini <file>        Use the given TOPP INI file

      -threads <n>       Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>  Writes the default configuration file

      --help             Shows options

      --helphelp         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+DTAExtractor Extracts spectra of an MS run file to several files in DTA format.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'DTAExtractor'
in input file input file*.mzML
out base name of DTA output files (RT, m/z and extension are appended)
mz: m/z range of precursor peaks to extract.
This option is ignored for MS level 1
rt: retention time range of spectra to extract
level 1,2,3 MS levels to extract
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false